#include "viz/scatter_plot.h"
#include "implot.h"

void scatter_plot(const char* title, const float* xs, const float* ys, int count) {
    if (ImPlot::BeginPlot(title, ImVec2(-1, 0))) {
        ImPlot::PlotScatter("##data", xs, ys, count);
        ImPlot::EndPlot();
    }
}

void scatter_plot(const char* title, const double* xs, const double* ys, int count) {
    if (ImPlot::BeginPlot(title, ImVec2(-1, 0))) {
        ImPlot::PlotScatter("##data", xs, ys, count);
        ImPlot::EndPlot();
    }
}
